Endurance

Access

List the API endpoints

GET /endpoints

API endpoints

curl
curl -X GET "https://appliance.example.com/api/v1/endpoints" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/endpoints';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.get("https://appliance.example.com/api/v1/endpoints", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/endpoints', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "API Endpoints",
  "data": [
    {
      "name": "All",
      "path": "/",
      "fullPath": "/",
      "children": [
        {
          "name": "Backup",
          "children": [
            {
              "name": "Upload",
              "path": "upload"
            },
            {
              "name": "List",
              "path": "list"
            },
            {
              "name": "Restore",
              "path": "restore"
            }
          ],
          "path": "backup",
          "fullPath": "/backup"
        }
      ]
    }
  ]
}

List the API endpoints you can use

GET /endpoints/current

Get API endpoints with current user access

The endpoints your own role allows, which is what a UI uses to decide what to show.

curl
curl -X GET "https://appliance.example.com/api/v1/endpoints/current" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/endpoints/current';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.get("https://appliance.example.com/api/v1/endpoints/current", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/endpoints/current', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "API Endpoints with access",
  "data": []
}

List the API endpoints a user can use

GET /endpoints/{userID}

Get API endpoints with access by user

Path parameters
userID string Required

The id of the user whose accessible endpoints are returned.

curl
curl -X GET "https://appliance.example.com/api/v1/endpoints/{userID}" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/endpoints/{userID}';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.get("https://appliance.example.com/api/v1/endpoints/{userID}", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/endpoints/{userID}', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "API Routes with access",
  "data": []
}